//
//  ViewController.swift
//  demo7-swift控件学习
//
//  Created by zero on 16/12/27.
//  Copyright © 2016年 yunhaitechnology. All rights reserved.
//

import UIKit

class ViewController: UIViewController,UITextFieldDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()
        //文本
        let label = UILabel(frame:CGRect(x:10,y:20,width:300,height:100))
        label.text = "hangge.com"
        self.view.addSubview(label)
        label.textColor = UIColor.red
        label.backgroundColor = UIColor.green
        label.textAlignment = .right
        label.shadowColor = UIColor.gray//灰色背景
        label.shadowOffset = CGSize(width:1.5,height:1.5)
        label.font = UIFont(name:"Zapfino",size:20)
        label.isHighlighted = true//设置文本高亮
        label.highlightedTextColor = UIColor.blue//设置文本高亮颜色
        //文本过长时的省略方式
        label.lineBreakMode = .byTruncatingTail  //隐藏尾部并显示省略号
        label.lineBreakMode = .byTruncatingMiddle  //隐藏中间部分并显示省略号
        label.lineBreakMode = .byTruncatingHead  //隐藏头部并显示省略号
        label.lineBreakMode = .byClipping  //截去多余部分也不显示省略号
        //当文字超出标签宽度时，自动调整文字大小，使其不被截断
        label.adjustsFontSizeToFitWidth = true
        label.numberOfLines = 2//显示2行
        
        
        //按钮
        let button:UIButton = UIButton(type:.contactAdd)
        button.frame = CGRect(x:10, y:150, width:100, height:30)
        button.setTitle("按钮", for: .normal)
        self.view .addSubview(button)
        
        button.setTitle("普通状态", for: .normal)
        button.setTitle("触摸状态", for: .highlighted)
        button.setTitle("禁用状态", for: .disabled)
        
        button.setTitleColor(UIColor.black, for: .normal)
        button.setTitleColor(UIColor.green, for: .highlighted)
        button.setTitleColor(UIColor.gray, for: .disabled)
        
        button.setTitleShadowColor(UIColor.green, for: .normal)
        button.setTitleShadowColor(UIColor.yellow, for: .highlighted)
        button.setTitleShadowColor(UIColor.gray, for: .disabled)
        
        button.titleLabel?.font = UIFont.systemFont(ofSize: 11)
        
        button.backgroundColor = UIColor.black
        
        
        //传递触摸对象（即点击的按钮），需要在定义action参数时，方法名称后面带上冒号
        button.addTarget(self, action:#selector(tapped(_:)), for:.touchUpInside)
        
        //文本框
        let textField = UITextField(frame:CGRect(x:10, y:200, width:200, height:30))
        textField.borderStyle = UITextBorderStyle.roundedRect
        self.view.addSubview(textField)
        textField.placeholder="请输入用户名"
        textField.layer.borderWidth = 1
        textField.layer.cornerRadius = 5
        textField.adjustsFontSizeToFitWidth = true//但文字超出文本框宽度的时候，自动调整文字大小
        textField.minimumFontSize = 14//最小客缩小的字号
        
        /** 水平对齐 **/
        textField.textAlignment = .right //水平右对齐
        textField.textAlignment = .center //水平居中对齐
        textField.textAlignment = .left //水平左对齐
        
        /** 垂直对齐 **/
        textField.contentVerticalAlignment = .top  //垂直向上对齐
        textField.contentVerticalAlignment = .center  //垂直居中对齐
        textField.contentVerticalAlignment = .bottom  //垂直向下对齐
        
        textField.clearButtonMode = .whileEditing//编辑是出现清除按钮
//        textField.keyboardType = UIKeyboardType.numberPad
//        textField.becomeFirstResponder()//使文本框在界面打开时就获取焦点，并弹出输入键盘
        //设置键盘return键的样式
        textField.returnKeyType = UIReturnKeyType.go
        textField.delegate = self
        
        
        
    }
    func tapped(_ button:UIButton){
        print(button.title(for: .normal))
    }

    func textFieldShouldReturn(_ textField: UITextField) -> Bool {
        textField.resignFirstResponder()//使文本框失去焦点，并收回键盘
        print(textField.text)
        return true
    }
}
